Opened 6 years ago

Closed 5 years ago

#8927 closed enhancement (duplicate)

Please build future TBB versions with optimization on Linux 32-bit x86 systems.

Reported by: cypherpunks Owned by: tbb-team
Priority: Very High Milestone:
Component: Applications/Tor Browser Version:
Severity: Keywords:
Cc: Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

The Tor Browser Bundle is not built with optimization on Linux 32-bit systems. This seems to be the case ever since Tor Project shifted from using Firefox 10.xx ESR to newer Firefox bundles starting with Firefox 17.

As a result, the user interface while using these TBBs is incredibly painful. Dragging tabs, closing tabs, opening multiple tabs result in the browser hanging for up to 30 seconds.

While I agree that most modern laptops and desktops are being released as 64-bit, there are thousands of users (including this author) who use 32-bit systems.

Please release future TBB versions built with optimization or at least release a TBB version for Linux 32-bit systems that is built on Firefox ESR versions, as this would benefit all the thousands of privacy conscious people who are using Linux 32-bit systems.

I have heard that due to the usability issues with the new TBBs, people are downloading older versions of TBB (that were built on Firefox ESR) even though it might introduce a privacy risk and might open the door to easier fingerprinting. Hence, I think it is paramount to provide an alternative as soon as possible.

Thank you for taking the time to read this.

Child Tickets

Change History (3)

comment:1 Changed 5 years ago by erinn

Keywords: needs-triage added

comment:2 Changed 5 years ago by erinn

Component: Tor bundles/installationTor Browser
Owner: changed from erinn to tbb-team

comment:3 Changed 5 years ago by mcs

Keywords: needs-triage removed
Resolution: duplicate
Status: newclosed

Looks like a duplicate of #8352

Note: See TracTickets for help on using tickets.